import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListNotificationConfigurationsCommand, se_ListNotificationConfigurationsCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class ListNotificationConfigurationsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("Notifications", "ListNotificationConfigurations", {})
    .n("NotificationsClient", "ListNotificationConfigurationsCommand")
    .f(void 0, void 0)
    .ser(se_ListNotificationConfigurationsCommand)
    .de(de_ListNotificationConfigurationsCommand)
    .build() {
}
